package cz.muni.fi.pa165.soccermanager.service;

import cz.muni.fi.pa165.soccermanager.dto.MatchDto;
import cz.muni.fi.pa165.soccermanager.dto.PlayerDto;
import cz.muni.fi.pa165.soccermanager.dto.UserAuthenticateDto;
import cz.muni.fi.pa165.soccermanager.dto.UserDto;
import cz.muni.fi.pa165.soccermanager.dto.request.CreateUserRequest;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Page;

public interface UserService {

    Optional<UserDto> findUserById(Long userId);

    Page<UserDto> getAllUsers(int offset, int pageSize, String field);

    void removeTeam(Long userId);

    List<MatchDto> findUserMatches(Long userId);

    List<PlayerDto> findUserPlayers(Long userId);

    void assignTeamToUser(Long team, Long user);
}
